// To parse this JSON data, do
//
//     final nonAcademicRecognition = nonAcademicRecognitionFromJson(jsonString);

import 'dart:convert';

NonAcademicRecognition nonAcademicRecognitionFromJson(String str) => NonAcademicRecognition.fromJson(json.decode(str));

String nonAcademicRecognitionToJson(NonAcademicRecognition data) => json.encode(data.toJson());

class NonAcademicRecognition {
    NonAcademicRecognition({
        this.id,
        this.title,
        this.presenter,
    });

    final int? id;
    final String? title;
    final Presenter? presenter;

    factory NonAcademicRecognition.fromJson(Map<String, dynamic> json) => NonAcademicRecognition(
        id: json["id"],
        title: json["title"],
        presenter: json["presenter"] == null ? null : Presenter.fromJson(json["presenter"]),
    );

    Map<String, dynamic> toJson() => {
        "id": id,
        "title": title,
        "presenter": presenter?.toJson(),
    };
}

class Presenter {
    Presenter({
        this.id,
        this.name,
        this.category,
        this.privateEntity,
    });

    final int? id;
    final String? name;
    final Category? category;
    final bool? privateEntity;

    factory Presenter.fromJson(Map<String, dynamic> json) => Presenter(
        id: json["id"],
        name: json["name"],
        category: json["category"] == null ? null : Category.fromJson(json["category"]),
        privateEntity: json["private_entity"],
    );

    Map<String, dynamic> toJson() => {
        "id": id,
        "name": name,
        "category": category?.toJson(),
        "private_entity": privateEntity,
    };
}

class Category {
    Category({
        this.id,
        this.name,
        this.industryClass,
    });

    final int? id;
    final String? name;
    final IndustryClass? industryClass;

    factory Category.fromJson(Map<String, dynamic> json) => Category(
        id: json["id"],
        name: json["name"],
        industryClass: json["industry_class"] == null ? null : IndustryClass.fromJson(json["industry_class"]),
    );

    Map<String, dynamic> toJson() => {
        "id": id,
        "name": name,
        "industry_class": industryClass?.toJson(),
    };
}

class IndustryClass {
    IndustryClass({
        this.id,
        this.name,
        this.description,
    });

    final int? id;
    final String? name;
    final String? description;

    factory IndustryClass.fromJson(Map<String, dynamic> json) => IndustryClass(
        id: json["id"],
        name: json["name"],
        description: json["description"],
    );

    Map<String, dynamic> toJson() => {
        "id": id,
        "name": name,
        "description": description,
    };
}
